commit:     a8ba82cac26f8d73a759e11b976a9492d8d386d6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 07:28:42 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 08:04:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8ba82ca

app-emulation/xen-tools: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-emulation/xen-tools/Manifest                   |   6 -
 app-emulation/xen-tools/files/xenstored.initd      |  44 --
 app-emulation/xen-tools/xen-tools-4.12.3-r2.ebuild | 500 --------------------
 app-emulation/xen-tools/xen-tools-4.12.3-r3.ebuild | 501 ---------------------
 4 files changed, 1051 deletions(-)

diff --git a/app-emulation/xen-tools/Manifest b/app-emulation/xen-tools/Manifest
index f149a5865eb..d92f49c9655 100644
--- a/app-emulation/xen-tools/Manifest
+++ b/app-emulation/xen-tools/Manifest
@@ -1,15 +1,9 @@
 DIST OpenSSL_1_1_1b.tar.gz 8384386 BLAKE2B 
f720ee2bb1ba9a104334cc39988942b5f18e9df54ec114969983e013d1d5e766e2605237281dfbd7218523b0f64ed465238d2da995791c4a789cb5e20b2d9be3
 SHA512 
f09f07226c1ea7d903d65572f6c63e1dd8afbbe4789438572ccae3c31445c30cf353dbf2e7637ab9d1042a2dc221cacdbed6167e881c1a1ad40163f751a33b28
 DIST berkeley-softfloat-b64af41c3276f97f0e181920400ee056b9c88037.tar.gz 148741 
BLAKE2B 
72014022926b636147e202d74c42df2ce9cfed00b91c275d5b2e0afbc5c68765445cbe7ac6389d7c2512bd1d45b0e16e999936552d09bbc733ab66c92968bd31
 SHA512 
8420c29faa7ff57e06d6758b03e81ca0630c59946bc031e8611f1449e23634cf901b502161f2c1423c0cff949b5481445e36a3aa53dc885b61ca2c673b3ba567
 DIST edk2-20d2e5a125e34fc8501026613a71549b2a1a3e54.tar.gz 14567879 BLAKE2B 
381d47674afcc7b611edee91531694a70e6799c2b351d81632777fb382a8cce968e44a1f3e17c4852db28e81624e2ec1ebb98ed121c2a6cc3f2982939eb546a5
 SHA512 
1a4b4d8eacd495e705fea924b16640d6814fba7ec25a3153222eb981d43b0fd9b16b54baf8feecf99cd89b10f7735ff4b075660453d0fc2722fe4608353c8aeb
-DIST edk2-ef529e6ab7c31290a33045bb1f1837447cc0eb56.tar.gz 38714813 BLAKE2B 
1c0670c6447aa7d2610e59481324eafe3dbf54cc0480c855380372cf5b95469de4182b569d1c4429df71ceb9be014cb414e070a808609d185b488519955b8677
 SHA512 
8eb88006500d9d6982e5565bdb71bf47dfe2b9669e107f48b6b237d7efbbfb54b9fd81841421c347e5c0ca45ef9c08f0b95983c8b922c2e1072b0e42b8ede92c
 DIST ipxe-git-1dd56dbd11082fb622c2ed21cfaced4f47d798a6.tar.gz 3810726 BLAKE2B 
b95266ec7fcee5c27065ba999b023ded9eb42a3690555e626911493f1dc995927fa67071bdc6432b3995df82134f8c49ea0d72eaf407f455dd1e2675d5b8d844
 SHA512 
8120696ba6d79fd9189664deed9b0489825d8d1edf7b931023b3979b7b9f82248e5b808c4517036cd40a85442ddf51a8dcad3b05d7f3c3cc6650654d53da4050
-DIST ipxe-git-d2063b7693e0e35db97b2264aa987eb6341ae779.tar.gz 3792227 BLAKE2B 
720ac29ab3187d7abaec33823dda967caab7eea9631123a7619d2f83d3ad6c7bb47db01665a4c54548fe367866606936d36690a06ecf42323b9bd0ef00e41569
 SHA512 
2b4ae8e65cd678dbb376f24001294eb54aead8d66456e06fc270dec178d90b282c1eb19731234d8b458054e49c5b8b8c4a89345c63ed0a4dafaf205e642b00b7
-DIST seabios-1.12.0.tar.gz 613542 BLAKE2B 
f145c2db716996bfa9e5c014086ccfaa8ae96ebc158f34303b122b7bf209408c567665d8691364df8d8e886f63e0e72a3f3cd319dfa86ef581023201b5d94e53
 SHA512 
e52c5363e5bb37b5286e55545aa06bd126218f9d0e3a06ac2e189de68fe3de3256c11ca1bb13357a9c384d7e3af6284083ff3aa587688b5de04ef11b97bdfa27
 DIST seabios-1.12.1.tar.gz 613450 BLAKE2B 
cb926b650c41a9962db407945cb5b6558079b061bd61f32ea56aedf0d37a00d10ad4434acbe717ffbc0dd1d1c0767304af8e640a53b0fc3784969dfa1590f681
 SHA512 
58755ce842adcb99c0f2f3ebbf9ec6d4a5072753966ab46805a96db1570847b109a90e6e03d61f9088ef877ca8ba96a8006777dc38ec434fce6b487f6c1f91d0
 DIST seabios-1.13.0.tar.gz 620952 BLAKE2B 
460a7dd2b2775b981bbd890ed0a50fe905794c68b0b895799667dd1378bb84125712330c2f6945112709d42cfb7b01196c7fff99051e44b6211d47d19531cfae
 SHA512 
7f158badf7deecc2998eab2a08f3615dfe5a7c0a51323f7b4568a4d1280935bc32bb466c8226d87d2ca7e13f9f117ff0092befcc0699bc31c5018e84754e8393
-DIST xen-4.12.3-upstream-patches-1.tar.xz 39052 BLAKE2B 
dbe18a8d67009be9597ea8f0cd45850ed0e437119095c414796efff2810e884a3d7c062a7e5e12e93d8991cbbab50c0095d7ae1c937129f8f9490aa5f31ca6f8
 SHA512 
1383b1c0e3d4918b6b43c9cdff5284e259385136aad479814ea1d50b25017a0466a6a0044321585f38f4c8fb30f5af91a45f666a6d7fce6e60a4dfdb346a421b
-DIST xen-4.12.3-upstream-patches-2.tar.xz 45272 BLAKE2B 
0bdcd69a3c8832271d7e0491719feebed5330233303d9c5a78913bcc20e76a3c2b9c4f30f4e3d8c648f113df0157350709ad5939bf2ca53363eee7732ae8aacb
 SHA512 
ac7fdb2a1d731ba2903ff31c9a3ae90506cdbc36289ef5c11254aa85f33a8d160d6d9136e37bbd526e88e881118b4ca8a594c2934561bda4afa0ff8cf99b54e1
-DIST xen-4.12.3.tar.gz 26985230 BLAKE2B 
403de519a552f1cd49e5a85b63f48df1b7a47ff8381385860b67df32af0b33be1c13c92ca2234e4479b7f415e711e0f46c396c3f62dfb5b2465d2991723cf6ef
 SHA512 
7bbf4e752477f18143ac9a62fb633b1fbe115a1a9b03d0132f33dfca025bc9b76d9c2e9b66a3e407d14aff161b940b1a82e3e3ca43213798e9dd38b6970194e0
 DIST xen-4.13.1-upstream-patches-2.tar.xz 53744 BLAKE2B 
769b5b8022f7db66f677d8107c6473606376718bffeac7eba09c4270f4005811f472fb9ed2a2804260e0486228edbadfcf8f81bf1dae6d68df37da213d281390
 SHA512 
b07c865b96c6f48b9d0b4e4c2f3ec19f4dc44884f4024e440a3e537f594f9f5edd6edf805bdefc82e5f1f2520f35f940b64c158972cbf5bfdc8fb2ca7a1b0ac1
 DIST xen-4.13.1.tar.gz 39024612 BLAKE2B 
efff138699fac2c14fad2e0dfd4535ebd744577df3dddccc2a589b81a76f24fc81c75e295f4cd33ca2e820929417b22d714504b576cb0737a563037bd56b6a95
 SHA512 
b56d20704155d98d803496cba83eb928e0f986a750831cd5600fc88d0ae772fe1456571654375054043d2da8daca255cc98385ebf08b1b1a75ecf7f4b7a0ee90
 DIST xen-4.14.0-upstream-patches-0.tar.xz 6872 BLAKE2B 
958ad668362c9c02af39f2a02cde2baa9b9fc8853116c390f43a77bb17c649bfc6a4b51db5cbe564a8c3c440ce736603e44b97f45c50a7836c9a43bfb0d2255a
 SHA512 
a30d9708e64e1405f837b14c1e5a0e28fcb9e7a177c822570e25d0ed118a9c58c380f4ed64a40bf970a9389baf9848e52f7d161efe922b883ee990c8029e7e1f

diff --git a/app-emulation/xen-tools/files/xenstored.initd 
b/app-emulation/xen-tools/files/xenstored.initd
deleted file mode 100644
index 1b7eec92658..00000000000
--- a/app-emulation/xen-tools/files/xenstored.initd
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
-       before xendomains xend sshd ntp-client ntpd nfs nfsmount rsyncd portmap 
dhcp
-       need xencommons
-}
-
-xenstored_dir_check() {
-       # create dir dynamically
-       local i
-       for i in /var/lock/subsys /run/xen /run/xend/boot /run/xenstored; do
-               [ -x $i ] || mkdir -p $i
-       done
-}
-
-start() {
-       ebegin "Starting xenstored daemon"
-       xenstored_dir_check
-       start-stop-daemon --start --exec /usr/sbin/xenstored \
-               --pidfile /run/xenstored.pid \
-               -- --pid-file=/run/xenstored.pid \
-               $XENSTORED_OPTS
-       until xenstore-exists / || $((15 < ++i))
-       do
-               echo -n .
-               sleep 1
-       done
-       einfo "Setting domain0 name record"
-       /usr/bin/xenstore-write "/local/domain/0/name" "Domain-0"
-       local V=$(xl info| awk "/xen_minor/ { print \$3 }")
-       [ $V -ge 4 ] && /usr/bin/xenstore-write "/local/domain/0/domid" 0
-
-       eend $*
-}
-
-stop() {
-       ebegin "Stopping xenstored daemon"
-       start-stop-daemon --stop --exec /usr/sbin/xenstored \
-               --pidfile /run/xenstored.pid
-       eend $?
-}
-

diff --git a/app-emulation/xen-tools/xen-tools-4.12.3-r2.ebuild 
b/app-emulation/xen-tools/xen-tools-4.12.3-r2.ebuild
deleted file mode 100644
index 7cf2012da51..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.12.3-r2.ebuild
+++ /dev/null
@@ -1,500 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE='ncurses,xml,threads'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 
toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ $PV == *9999 ]]; then
-       inherit git-r3
-       REPO="xen.git"
-       EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
-       S="${WORKDIR}/${REPO}"
-else
-       KEYWORDS="amd64 ~arm ~arm64 x86"
-       UPSTREAM_VER=1
-       SECURITY_VER=
-       # xen-tools's gentoo patches tarball
-       GENTOO_VER=21
-       # xen-tools's gentoo patches version which apply to this specific ebuild
-       GENTOO_GPV=0
-       # xen-tools ovmf's patches
-       OVMF_VER=
-
-       SEABIOS_VER=1.12.0
-       EDK2_COMMIT=ef529e6ab7c31290a33045bb1f1837447cc0eb56
-       IPXE_COMMIT=d2063b7693e0e35db97b2264aa987eb6341ae779
-
-       [[ -n ${UPSTREAM_VER} ]] && \
-               
UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
-               
https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz";
-       [[ -n ${SECURITY_VER} ]] && \
-               
SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz";
-       [[ -n ${GENTOO_VER} ]] && \
-               
GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
-               
https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz";
-       [[ -n ${OVMF_VER} ]] && \
-               
OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz";
-
-       
SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
-       https://www.seabios.org/downloads/seabios-${SEABIOS_VER}.tar.gz
-       ipxe? ( 
http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
-       ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz 
-> edk2-${EDK2_COMMIT}.tar.gz
-               ${OVMF_PATCHSET_URI} )
-       ${UPSTREAM_PATCHSET_URI}
-       ${SECURITY_PATCHSET_URI}
-       ${GENTOO_PATCHSET_URI}"
-
-       S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org";
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get 
off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu 
+qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu 
system-seabios"
-
-REQUIRED_USE="
-       ${PYTHON_REQUIRED_USE}
-       ipxe? ( rombios )
-       ovmf? ( hvm )
-       pygrub? ( python )
-       rombios? ( hvm )
-       system-ipxe? ( rombios )
-       ?? ( ipxe system-ipxe )
-       ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
-       sys-apps/pciutils
-       dev-libs/lzo:2
-       dev-libs/glib:2
-       dev-libs/yajl
-       dev-libs/libaio
-       dev-libs/libgcrypt:0
-       sys-libs/zlib
-       ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
-       >=sys-kernel/linux-headers-4.11
-       $(python_gen_cond_dep '
-               dev-python/lxml[${PYTHON_MULTI_USEDEP}]
-               pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
-       ')
-       x86? ( sys-devel/dev86
-               system-ipxe? ( sys-firmware/ipxe[qemu] )
-               sys-power/iasl )
-       api? ( dev-libs/libxml2
-               net-misc/curl )
-       ovmf? (
-               !arm? ( !arm64? ( dev-lang/nasm ) )
-               $(python_gen_impl_dep sqlite)
-               )
-       !amd64? ( >=sys-apps/dtc-1.4.0 )
-       amd64? ( sys-power/iasl
-               system-seabios? ( sys-firmware/seabios )
-               system-ipxe? ( sys-firmware/ipxe[qemu] )
-               rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
-       dev-lang/perl
-       app-misc/pax-utils
-       doc? (
-               app-text/ghostscript-gpl
-               app-text/pandoc
-               $(python_gen_cond_dep '
-                       dev-python/markdown[${PYTHON_MULTI_USEDEP}]
-               ')
-               dev-texlive/texlive-latexextra
-               media-gfx/transfig
-       )
-       hvm? ( x11-base/xorg-proto )
-       qemu? (
-               app-arch/snappy:=
-               x11-libs/pixman
-               sdl? (
-                       media-libs/libsdl[X]
-                       media-libs/libsdl2[X]
-               )
-       )
-       system-qemu? ( app-emulation/qemu[xen] )
-       ocaml? ( dev-ml/findlib
-               >=dev-lang/ocaml-4 )
-       python? ( dev-lang/swig )"
-
-RDEPEND="${COMMON_DEPEND}
-       sys-apps/iproute2[-minimal]
-       net-misc/bridge-utils
-       screen? (
-               app-misc/screen
-               app-admin/logrotate
-       )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
-       usr/libexec/xen/boot/hvmloader
-       usr/share/qemu-xen/qemu/hppa-firmware.img
-       usr/share/qemu-xen/qemu/s390-ccw.img
-       usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
-       usr/libexec/xen/bin/ivshmem-client
-       usr/libexec/xen/bin/ivshmem-server
-       usr/libexec/xen/bin/qemu-img
-       usr/libexec/xen/bin/qemu-io
-       usr/libexec/xen/bin/qemu-keymap
-       usr/libexec/xen/bin/qemu-nbd
-       usr/libexec/xen/bin/qemu-pr-helper
-       usr/libexec/xen/bin/qemu-system-i386
-       usr/libexec/xen/bin/virtfs-proxy-helper
-       usr/libexec/xen/libexec/xen-bridge-helper
-       usr/share/qemu-xen/qemu/s390-ccw.img
-       usr/share/qemu-xen/qemu/s390-netboot.img
-       usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
-       python_setup
-       export "CONFIG_LOMOUNT=y"
-
-       #bug 522642, disable compile tools/tests
-       export "CONFIG_TESTS=n"
-
-       if [[ -z ${XEN_TARGET_ARCH} ]] ; then
-               if use x86 && use amd64; then
-                       die "Confusion! Both x86 and amd64 are set in your use 
flags!"
-               elif use x86; then
-                       export XEN_TARGET_ARCH="x86_32"
-               elif use amd64 ; then
-                       export XEN_TARGET_ARCH="x86_64"
-               elif use arm; then
-                       export XEN_TARGET_ARCH="arm32"
-               elif use arm64; then
-                       export XEN_TARGET_ARCH="arm64"
-               else
-                       die "Unsupported architecture!"
-               fi
-       fi
-}
-
-src_prepare() {
-       local i
-
-       # Upstream's patchset
-       if [[ -n ${UPSTREAM_VER} ]]; then
-               einfo "Try to apply Xen Upstream patch set"
-               eapply "${WORKDIR}"/patches-upstream
-       fi
-
-       # Security patchset
-       if [[ -n ${SECURITY_VER} ]]; then
-       einfo "Try to apply Xen Security patch set"
-               # apply main xen patches
-               # Two parallel systems, both work side by side
-               # Over time they may concdense into one. This will suffice for 
now
-               EPATCH_SUFFIX="patch"
-               EPATCH_FORCE="yes"
-
-               source "${WORKDIR}"/patches-security/${PV}.conf || die
-
-               for i in ${XEN_SECURITY_MAIN}; do
-                       eapply "${WORKDIR}"/patches-security/xen/$i
-               done
-
-               # apply qemu-xen/upstream patches
-               pushd "${S}"/tools/qemu-xen/ > /dev/null
-               for i in ${XEN_SECURITY_QEMUU}; do
-                       eapply "${WORKDIR}"/patches-security/qemuu/$i
-               done
-               popd > /dev/null
-
-               # apply qemu-traditional patches
-               pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
-               for i in ${XEN_SECURITY_QEMUT}; do
-                       eapply "${WORKDIR}"/patches-security/qemut/$i
-               done
-               popd > /dev/null
-       fi
-
-       # move before Gentoo patch, one patch should apply to seabios, to fix 
gcc-4.5.x build err
-       mv ../seabios-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
-       pushd tools/firmware/ > /dev/null
-       ln -s seabios-dir-remote seabios-dir || die
-       popd > /dev/null
-
-       # Gentoo's patchset
-       if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
-               einfo "Try to apply Gentoo specific patch set"
-               source "${FILESDIR}"/gentoo-patches.conf || die
-               _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
-               for i in ${!_gpv}; do
-                       eapply "${WORKDIR}"/patches-gentoo/$i
-               done
-       fi
-
-       # Ovmf's patchset
-       if use ovmf; then
-               if [[ -n ${OVMF_VER} ]];then
-                       einfo "Try to apply Ovmf patch set"
-                       pushd "${WORKDIR}"/edk2-*/ > /dev/null
-                       eapply "${WORKDIR}"/patches-ovmf
-                       popd > /dev/null
-               fi
-               mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
-               cp tools/firmware/ovmf-makefile 
tools/firmware/ovmf-dir-remote/Makefile || die
-       fi
-
-       # ipxe
-       if use ipxe; then
-               cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" 
tools/firmware/etherboot/_ipxe.tar.gz || die
-
-               # gcc 9
-               cp "${WORKDIR}/patches-gentoo/${PN}-4.12.0-ipxe-gcc9.patch" \
-                       tools/firmware/etherboot/patches/ipxe-gcc9.patch || die
-               echo "ipxe-gcc9.patch" >> 
tools/firmware/etherboot/patches/series || die
-
-               # gcc 10
-               cp 
"${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" \
-                       tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
-               echo ipxe-gcc10.patch >> 
tools/firmware/etherboot/patches/series || die
-       fi
-
-       mv tools/qemu-xen/qemu-bridge-helper.c 
tools/qemu-xen/xen-bridge-helper.c || die
-
-       # Fix texi2html build error with new texi2html, qemu.doc.html
-       sed -i -e "/texi2html -monolithic/s/-number//" 
tools/qemu-xen-traditional/Makefile || die
-
-       use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i 
tools/Makefile || die
-       sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" 
PYTHON=$(PYTHON) subdirs-$@:' \
-               -i tools/firmware/Makefile || die
-
-       # Drop .config, fixes to gcc-4.6
-       sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't 
drop"
-
-       # drop flags
-       unset CFLAGS
-       unset LDFLAGS
-       unset ASFLAGS
-       unset CPPFLAGS
-
-       if ! use pygrub; then
-               sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
-       fi
-
-       if ! use python; then
-               sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
-       fi
-
-       if ! use hvm; then
-               sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile 
|| die
-       # Bug 351648
-       elif ! use x86 && ! has x86 $(get_all_abis); then
-               mkdir -p "${WORKDIR}"/extra-headers/gnu || die
-               touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
-               export CPATH="${WORKDIR}"/extra-headers
-       fi
-
-       if use qemu; then
-               if use sdl; then
-                       sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
-                               tools/Makefile || die
-               else
-                       sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 
--disable-sdl:" \
-                               tools/qemu-xen-traditional/xen-setup || die
-                       sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
-                               tools/Makefile || die
-               fi
-       else
-               # Don't bother with qemu, only needed for fully virtualised 
guests
-               sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || 
die
-       fi
-
-       # Reset bash completion dir; Bug 472438
-       sed -e "s:^BASH_COMPLETION_DIR ?= 
\$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
-               -i Config.mk || die
-       sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
-       # xencommons, Bug #492332, sed lighter weight than patching
-       sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
-               -i tools/hotplug/Linux/init.d/xencommons.in || die
-
-       # fix bashishm
-       sed -e '/Usage/s/\$//g' \
-               -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
-       # respect multilib, usr/lib/libcacard.so.0.0.0
-       sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
-               -i tools/qemu-xen/configure || die
-
-       #bug 518136, don't build 32bit exactuable for nomultilib profile
-       if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
-               sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
-       fi
-
-       # uncomment lines in xl.conf
-       sed -e 's:^#autoballoon=:autoballoon=:' \
-               -e 's:^#lockfile=:lockfile=:' \
-               -e 's:^#vif.default.script=:vif.default.script=:' \
-               -i tools/examples/xl.conf  || die
-
-       # disable capstone (Bug #673474)
-       sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
-               -i tools/Makefile || die
-
-       # disable glusterfs
-       sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
-               -i tools/Makefile || die
-
-       default
-}
-
-src_configure() {
-       local myconf="--prefix=${PREFIX}/usr \
-               --libdir=${PREFIX}/usr/$(get_libdir) \
-               --libexecdir=${PREFIX}/usr/libexec \
-               --localstatedir=${EPREFIX}/var \
-               --disable-werror \
-               --disable-xen \
-               --enable-tools \
-               --enable-docs \
-               $(use_enable api xenapi) \
-               $(use_enable ipxe) \
-               $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
-               $(use_enable ocaml ocamltools) \
-               $(use_enable ovmf) \
-               $(use_enable pam) \
-               $(use_enable rombios) \
-               --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
-               "
-
-       use system-seabios && myconf+=" 
--with-system-seabios=/usr/share/seabios/bios.bin"
-       use system-qemu && myconf+=" 
--with-system-qemu=/usr/bin/qemu-system-x86_64"
-       use amd64 && myconf+=" $(use_enable qemu-traditional)"
-       tc-ld-disable-gold # Bug 669570
-       econf ${myconf}
-}
-
-src_compile() {
-       local myopt
-       use debug && myopt="${myopt} debug=y"
-       use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
-       if test-flag-CC -fno-strict-overflow; then
-               append-flags -fno-strict-overflow
-       fi
-
-       emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" 
RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
-       if use doc; then
-               emake -C docs build
-       else
-               emake -C docs man-pages
-       fi
-}
-
-src_install() {
-       # Override auto-detection in the build system, bug #382573
-       export INITD_DIR=/tmp/init.d
-       export CONFIG_LEAF_DIR=../tmp/default
-
-       # Let the build system compile installed Python modules.
-       local PYTHONDONTWRITEBYTECODE
-       export PYTHONDONTWRITEBYTECODE
-
-       emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
-               XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
-       # Created at runtime
-       rm -rv "${ED}/var/run" || die
-
-       # Fix the remaining Python shebangs.
-       python_fix_shebang "${D}"
-
-       # Remove RedHat-specific stuff
-       rm -rf "${D}"/tmp || die
-
-       if use doc; then
-               emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
-               dodoc -r docs/{pdf,txt}
-       else
-               emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" 
install-man-pages # Bug 668032
-       fi
-       dodoc ${DOCS[@]}
-
-       newconfd "${FILESDIR}"/xendomains.confd xendomains
-       newconfd "${FILESDIR}"/xenstored.confd xenstored
-       newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
-       newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
-       newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
-       newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
-       newinitd "${FILESDIR}"/xencommons.initd xencommons
-       newconfd "${FILESDIR}"/xencommons.confd xencommons
-       newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
-       newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
-       newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
-       if use screen; then
-               cat "${FILESDIR}"/xendomains-screen.confd >> 
"${D}"/etc/conf.d/xendomains || die
-               cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
-               keepdir /var/log/xen-consoles
-       fi
-
-       # For -static-libs wrt Bug 384355
-       if ! use static-libs; then
-               rm -f "${D}"/usr/$(get_libdir)/*.a 
"${D}"/usr/$(get_libdir)/ocaml/*/*.a
-       fi
-
-       # for xendomains
-       keepdir /etc/xen/auto
-
-       # Remove files failing QA AFTER emake installs them, avoiding seeking 
absent files
-       find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
-               -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
-       keepdir /var/lib/xen/dump
-       keepdir /var/lib/xen/xenpaging
-       keepdir /var/lib/xenstored
-       keepdir /var/log/xen
-
-       if use python; then
-               python_domodule 
"${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
-               python_domodule 
"${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
-       fi
-
-       python_optimize
-}
-
-pkg_postinst() {
-       elog "Official Xen Guide and the offical wiki page:"
-       elog "https://wiki.gentoo.org/wiki/Xen";
-       elog "https://wiki.xen.org/wiki/Main_Page";
-       elog ""
-       elog "Recommended to utilise the xencommons script to config system at 
boot"
-       elog "Add by use of rc-update on completion of the install"
-
-       if ! use hvm; then
-               echo
-               elog "HVM (VT-x and AMD-V) support has been disabled. If you 
need hvm"
-               elog "support enable the hvm use flag."
-               elog "An x86 or amd64 system is required to build HVM support."
-       fi
-
-       if use qemu; then
-               elog "The qemu-bridge-helper is renamed to the 
xen-bridge-helper in the in source"
-               elog "build of qemu.  This allows for app-emulation/qemu to be 
emerged concurrently"
-               elog "with the qemu capable xen.  It is up to the user to 
distinguish between and utilise"
-               elog "the qemu-bridge-helper and the xen-bridge-helper. File 
bugs of any issues that arise"
-       fi
-}

diff --git a/app-emulation/xen-tools/xen-tools-4.12.3-r3.ebuild 
b/app-emulation/xen-tools/xen-tools-4.12.3-r3.ebuild
deleted file mode 100644
index 78129b81663..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.12.3-r3.ebuild
+++ /dev/null
@@ -1,501 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE='ncurses,xml,threads'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 
toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ $PV == *9999 ]]; then
-       inherit git-r3
-       REPO="xen.git"
-       EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
-       S="${WORKDIR}/${REPO}"
-else
-       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-       UPSTREAM_VER=2
-       SECURITY_VER=28
-       # xen-tools's gentoo patches tarball
-       GENTOO_VER=21
-       # xen-tools's gentoo patches version which apply to this specific ebuild
-       GENTOO_GPV=0
-       # xen-tools ovmf's patches
-       OVMF_VER=
-
-       SEABIOS_VER=1.12.0
-       EDK2_COMMIT=ef529e6ab7c31290a33045bb1f1837447cc0eb56
-       IPXE_COMMIT=d2063b7693e0e35db97b2264aa987eb6341ae779
-
-       [[ -n ${UPSTREAM_VER} ]] && \
-               
UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
-               
https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz";
-       [[ -n ${SECURITY_VER} ]] && \
-               
SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz
-               
https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-security-patches-${SECURITY_VER}.tar.xz";
-       [[ -n ${GENTOO_VER} ]] && \
-               
GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
-               
https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz";
-       [[ -n ${OVMF_VER} ]] && \
-               
OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz";
-
-       
SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
-       https://www.seabios.org/downloads/seabios-${SEABIOS_VER}.tar.gz
-       ipxe? ( 
http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
-       ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz 
-> edk2-${EDK2_COMMIT}.tar.gz
-               ${OVMF_PATCHSET_URI} )
-       ${UPSTREAM_PATCHSET_URI}
-       ${SECURITY_PATCHSET_URI}
-       ${GENTOO_PATCHSET_URI}"
-
-       S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org";
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get 
off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu 
+qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu 
system-seabios"
-
-REQUIRED_USE="
-       ${PYTHON_REQUIRED_USE}
-       ipxe? ( rombios )
-       ovmf? ( hvm )
-       pygrub? ( python )
-       rombios? ( hvm )
-       system-ipxe? ( rombios )
-       ?? ( ipxe system-ipxe )
-       ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
-       sys-apps/pciutils
-       dev-libs/lzo:2
-       dev-libs/glib:2
-       dev-libs/yajl
-       dev-libs/libaio
-       dev-libs/libgcrypt:0
-       sys-libs/zlib
-       ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
-       >=sys-kernel/linux-headers-4.11
-       $(python_gen_cond_dep '
-               dev-python/lxml[${PYTHON_MULTI_USEDEP}]
-               pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
-       ')
-       x86? ( sys-devel/dev86
-               system-ipxe? ( sys-firmware/ipxe[qemu] )
-               sys-power/iasl )
-       api? ( dev-libs/libxml2
-               net-misc/curl )
-       ovmf? (
-               !arm? ( !arm64? ( dev-lang/nasm ) )
-               $(python_gen_impl_dep sqlite)
-               )
-       !amd64? ( >=sys-apps/dtc-1.4.0 )
-       amd64? ( sys-power/iasl
-               system-seabios? ( sys-firmware/seabios )
-               system-ipxe? ( sys-firmware/ipxe[qemu] )
-               rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
-       dev-lang/perl
-       app-misc/pax-utils
-       doc? (
-               app-text/ghostscript-gpl
-               app-text/pandoc
-               $(python_gen_cond_dep '
-                       dev-python/markdown[${PYTHON_MULTI_USEDEP}]
-               ')
-               dev-texlive/texlive-latexextra
-               media-gfx/transfig
-       )
-       hvm? ( x11-base/xorg-proto )
-       qemu? (
-               app-arch/snappy:=
-               x11-libs/pixman
-               sdl? (
-                       media-libs/libsdl[X]
-                       media-libs/libsdl2[X]
-               )
-       )
-       system-qemu? ( app-emulation/qemu[xen] )
-       ocaml? ( dev-ml/findlib
-               >=dev-lang/ocaml-4 )
-       python? ( dev-lang/swig )"
-
-RDEPEND="${COMMON_DEPEND}
-       sys-apps/iproute2[-minimal]
-       net-misc/bridge-utils
-       screen? (
-               app-misc/screen
-               app-admin/logrotate
-       )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
-       usr/libexec/xen/boot/hvmloader
-       usr/share/qemu-xen/qemu/hppa-firmware.img
-       usr/share/qemu-xen/qemu/s390-ccw.img
-       usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
-       usr/libexec/xen/bin/ivshmem-client
-       usr/libexec/xen/bin/ivshmem-server
-       usr/libexec/xen/bin/qemu-img
-       usr/libexec/xen/bin/qemu-io
-       usr/libexec/xen/bin/qemu-keymap
-       usr/libexec/xen/bin/qemu-nbd
-       usr/libexec/xen/bin/qemu-pr-helper
-       usr/libexec/xen/bin/qemu-system-i386
-       usr/libexec/xen/bin/virtfs-proxy-helper
-       usr/libexec/xen/libexec/xen-bridge-helper
-       usr/share/qemu-xen/qemu/s390-ccw.img
-       usr/share/qemu-xen/qemu/s390-netboot.img
-       usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
-       python_setup
-       export "CONFIG_LOMOUNT=y"
-
-       #bug 522642, disable compile tools/tests
-       export "CONFIG_TESTS=n"
-
-       if [[ -z ${XEN_TARGET_ARCH} ]] ; then
-               if use x86 && use amd64; then
-                       die "Confusion! Both x86 and amd64 are set in your use 
flags!"
-               elif use x86; then
-                       export XEN_TARGET_ARCH="x86_32"
-               elif use amd64 ; then
-                       export XEN_TARGET_ARCH="x86_64"
-               elif use arm; then
-                       export XEN_TARGET_ARCH="arm32"
-               elif use arm64; then
-                       export XEN_TARGET_ARCH="arm64"
-               else
-                       die "Unsupported architecture!"
-               fi
-       fi
-}
-
-src_prepare() {
-       local i
-
-       # Upstream's patchset
-       if [[ -n ${UPSTREAM_VER} ]]; then
-               einfo "Try to apply Xen Upstream patch set"
-               eapply "${WORKDIR}"/patches-upstream
-       fi
-
-       # Security patchset
-       if [[ -n ${SECURITY_VER} ]]; then
-       einfo "Try to apply Xen Security patch set"
-               # apply main xen patches
-               # Two parallel systems, both work side by side
-               # Over time they may concdense into one. This will suffice for 
now
-               EPATCH_SUFFIX="patch"
-               EPATCH_FORCE="yes"
-
-               source "${WORKDIR}"/patches-security/${PV}.conf || die
-
-               for i in ${XEN_SECURITY_MAIN}; do
-                       eapply "${WORKDIR}"/patches-security/xen/$i
-               done
-
-               # apply qemu-xen/upstream patches
-               pushd "${S}"/tools/qemu-xen/ > /dev/null
-               for i in ${XEN_SECURITY_QEMUU}; do
-                       eapply "${WORKDIR}"/patches-security/qemuu/$i
-               done
-               popd > /dev/null
-
-               # apply qemu-traditional patches
-               pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
-               for i in ${XEN_SECURITY_QEMUT}; do
-                       eapply "${WORKDIR}"/patches-security/qemut/$i
-               done
-               popd > /dev/null
-       fi
-
-       # move before Gentoo patch, one patch should apply to seabios, to fix 
gcc-4.5.x build err
-       mv ../seabios-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
-       pushd tools/firmware/ > /dev/null
-       ln -s seabios-dir-remote seabios-dir || die
-       popd > /dev/null
-
-       # Gentoo's patchset
-       if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
-               einfo "Try to apply Gentoo specific patch set"
-               source "${FILESDIR}"/gentoo-patches.conf || die
-               _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
-               for i in ${!_gpv}; do
-                       eapply "${WORKDIR}"/patches-gentoo/$i
-               done
-       fi
-
-       # Ovmf's patchset
-       if use ovmf; then
-               if [[ -n ${OVMF_VER} ]];then
-                       einfo "Try to apply Ovmf patch set"
-                       pushd "${WORKDIR}"/edk2-*/ > /dev/null
-                       eapply "${WORKDIR}"/patches-ovmf
-                       popd > /dev/null
-               fi
-               mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
-               cp tools/firmware/ovmf-makefile 
tools/firmware/ovmf-dir-remote/Makefile || die
-       fi
-
-       # ipxe
-       if use ipxe; then
-               cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" 
tools/firmware/etherboot/_ipxe.tar.gz || die
-
-               # gcc 9
-               cp "${WORKDIR}/patches-gentoo/${PN}-4.12.0-ipxe-gcc9.patch" \
-                       tools/firmware/etherboot/patches/ipxe-gcc9.patch || die
-               echo "ipxe-gcc9.patch" >> 
tools/firmware/etherboot/patches/series || die
-
-               # gcc 10
-               cp 
"${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" \
-                       tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
-               echo ipxe-gcc10.patch >> 
tools/firmware/etherboot/patches/series || die
-       fi
-
-       mv tools/qemu-xen/qemu-bridge-helper.c 
tools/qemu-xen/xen-bridge-helper.c || die
-
-       # Fix texi2html build error with new texi2html, qemu.doc.html
-       sed -i -e "/texi2html -monolithic/s/-number//" 
tools/qemu-xen-traditional/Makefile || die
-
-       use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i 
tools/Makefile || die
-       sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" 
PYTHON=$(PYTHON) subdirs-$@:' \
-               -i tools/firmware/Makefile || die
-
-       # Drop .config, fixes to gcc-4.6
-       sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't 
drop"
-
-       # drop flags
-       unset CFLAGS
-       unset LDFLAGS
-       unset ASFLAGS
-       unset CPPFLAGS
-
-       if ! use pygrub; then
-               sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
-       fi
-
-       if ! use python; then
-               sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
-       fi
-
-       if ! use hvm; then
-               sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile 
|| die
-       # Bug 351648
-       elif ! use x86 && ! has x86 $(get_all_abis); then
-               mkdir -p "${WORKDIR}"/extra-headers/gnu || die
-               touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
-               export CPATH="${WORKDIR}"/extra-headers
-       fi
-
-       if use qemu; then
-               if use sdl; then
-                       sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
-                               tools/Makefile || die
-               else
-                       sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 
--disable-sdl:" \
-                               tools/qemu-xen-traditional/xen-setup || die
-                       sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
-                               tools/Makefile || die
-               fi
-       else
-               # Don't bother with qemu, only needed for fully virtualised 
guests
-               sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || 
die
-       fi
-
-       # Reset bash completion dir; Bug 472438
-       sed -e "s:^BASH_COMPLETION_DIR ?= 
\$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
-               -i Config.mk || die
-       sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
-       # xencommons, Bug #492332, sed lighter weight than patching
-       sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
-               -i tools/hotplug/Linux/init.d/xencommons.in || die
-
-       # fix bashishm
-       sed -e '/Usage/s/\$//g' \
-               -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
-       # respect multilib, usr/lib/libcacard.so.0.0.0
-       sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
-               -i tools/qemu-xen/configure || die
-
-       #bug 518136, don't build 32bit exactuable for nomultilib profile
-       if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
-               sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
-       fi
-
-       # uncomment lines in xl.conf
-       sed -e 's:^#autoballoon=:autoballoon=:' \
-               -e 's:^#lockfile=:lockfile=:' \
-               -e 's:^#vif.default.script=:vif.default.script=:' \
-               -i tools/examples/xl.conf  || die
-
-       # disable capstone (Bug #673474)
-       sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
-               -i tools/Makefile || die
-
-       # disable glusterfs
-       sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
-               -i tools/Makefile || die
-
-       default
-}
-
-src_configure() {
-       local myconf="--prefix=${PREFIX}/usr \
-               --libdir=${PREFIX}/usr/$(get_libdir) \
-               --libexecdir=${PREFIX}/usr/libexec \
-               --localstatedir=${EPREFIX}/var \
-               --disable-werror \
-               --disable-xen \
-               --enable-tools \
-               --enable-docs \
-               $(use_enable api xenapi) \
-               $(use_enable ipxe) \
-               $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
-               $(use_enable ocaml ocamltools) \
-               $(use_enable ovmf) \
-               $(use_enable pam) \
-               $(use_enable rombios) \
-               --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
-               "
-
-       use system-seabios && myconf+=" 
--with-system-seabios=/usr/share/seabios/bios.bin"
-       use system-qemu && myconf+=" 
--with-system-qemu=/usr/bin/qemu-system-x86_64"
-       use amd64 && myconf+=" $(use_enable qemu-traditional)"
-       tc-ld-disable-gold # Bug 669570
-       econf ${myconf}
-}
-
-src_compile() {
-       local myopt
-       use debug && myopt="${myopt} debug=y"
-       use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
-       if test-flag-CC -fno-strict-overflow; then
-               append-flags -fno-strict-overflow
-       fi
-
-       emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" 
RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
-       if use doc; then
-               emake -C docs build
-       else
-               emake -C docs man-pages
-       fi
-}
-
-src_install() {
-       # Override auto-detection in the build system, bug #382573
-       export INITD_DIR=/tmp/init.d
-       export CONFIG_LEAF_DIR=../tmp/default
-
-       # Let the build system compile installed Python modules.
-       local PYTHONDONTWRITEBYTECODE
-       export PYTHONDONTWRITEBYTECODE
-
-       emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
-               XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
-       # Created at runtime
-       rm -rv "${ED}/var/run" || die
-
-       # Fix the remaining Python shebangs.
-       python_fix_shebang "${D}"
-
-       # Remove RedHat-specific stuff
-       rm -rf "${D}"/tmp || die
-
-       if use doc; then
-               emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
-               dodoc -r docs/{pdf,txt}
-       else
-               emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" 
install-man-pages # Bug 668032
-       fi
-       dodoc ${DOCS[@]}
-
-       newconfd "${FILESDIR}"/xendomains.confd xendomains
-       newconfd "${FILESDIR}"/xenstored.confd xenstored
-       newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
-       newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
-       newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
-       newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
-       newinitd "${FILESDIR}"/xencommons.initd xencommons
-       newconfd "${FILESDIR}"/xencommons.confd xencommons
-       newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
-       newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
-       newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
-       if use screen; then
-               cat "${FILESDIR}"/xendomains-screen.confd >> 
"${D}"/etc/conf.d/xendomains || die
-               cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
-               keepdir /var/log/xen-consoles
-       fi
-
-       # For -static-libs wrt Bug 384355
-       if ! use static-libs; then
-               rm -f "${D}"/usr/$(get_libdir)/*.a 
"${D}"/usr/$(get_libdir)/ocaml/*/*.a
-       fi
-
-       # for xendomains
-       keepdir /etc/xen/auto
-
-       # Remove files failing QA AFTER emake installs them, avoiding seeking 
absent files
-       find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
-               -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
-       keepdir /var/lib/xen/dump
-       keepdir /var/lib/xen/xenpaging
-       keepdir /var/lib/xenstored
-       keepdir /var/log/xen
-
-       if use python; then
-               python_domodule 
"${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
-               python_domodule 
"${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
-       fi
-
-       python_optimize
-}
-
-pkg_postinst() {
-       elog "Official Xen Guide and the offical wiki page:"
-       elog "https://wiki.gentoo.org/wiki/Xen";
-       elog "https://wiki.xen.org/wiki/Main_Page";
-       elog ""
-       elog "Recommended to utilise the xencommons script to config system at 
boot"
-       elog "Add by use of rc-update on completion of the install"
-
-       if ! use hvm; then
-               echo
-               elog "HVM (VT-x and AMD-V) support has been disabled. If you 
need hvm"
-               elog "support enable the hvm use flag."
-               elog "An x86 or amd64 system is required to build HVM support."
-       fi
-
-       if use qemu; then
-               elog "The qemu-bridge-helper is renamed to the 
xen-bridge-helper in the in source"
-               elog "build of qemu.  This allows for app-emulation/qemu to be 
emerged concurrently"
-               elog "with the qemu capable xen.  It is up to the user to 
distinguish between and utilise"
-               elog "the qemu-bridge-helper and the xen-bridge-helper. File 
bugs of any issues that arise"
-       fi
-}

Reply via email to